> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/api-usage-and-reference/common-api-objects/price.md).

# Price

The `Price` object is a sub-object that represents sales and purchase prices, markup, margin, and other relevant financial data. The visibility of the Price object is determined by the context in which it is included. However, certain fields are always hidden from specific users. For example, clients cannot see purchase prices.&#x20;

<table data-search="false"><thead><tr><th width="145">Field</th><th width="139">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>PPxY</code></td><td>decimal</td><td>The yearly purchase price.</td></tr><tr><td><code>PPxM</code></td><td>decimal</td><td>The monthly purchase price.</td></tr><tr><td><code>PPx1</code></td><td>decimal</td><td>The one-time purchase price.</td></tr><tr><td><code>unitPP</code></td><td>decimal</td><td>The purchase price per unit in base object terms.</td></tr><tr><td><code>SPxY</code></td><td>decimal</td><td>The yearly sales price.</td></tr><tr><td><code>SPxM</code></td><td>decimal</td><td>The monthly sales price.</td></tr><tr><td><code>SPx1</code></td><td>decimal</td><td>The one-time sales price.</td></tr><tr><td><code>unitSP</code></td><td>decimal</td><td>The sales price per unit in base object terms.</td></tr><tr><td><code>markup</code></td><td>decimal</td><td>The markup for the base object, in percent (7.2%)</td></tr><tr><td><code>margin</code></td><td>decimal</td><td>The margin for base object, in percent (5.1%)</td></tr><tr><td><code>defaultMarkup</code></td><td>decimal</td><td>The default markup for base object (subscriptions only), in percent</td></tr><tr><td><code>currency</code></td><td>string</td><td>The currency of the price.</td></tr></tbody></table>

### Example

{% code title="PRICE OBJECT" lineNumbers="true" %}

```json
{
    "PPxY": 150,
    "PPxM": 12.50,
    "PPx1": 290,
    "SPxY": 165,
    "SPxM": 13.75,
    "SPx1": 300,
    "markup": 10,
    "margin": 9,
    "currency": "USD"
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.platform.softwareone.com/developer-resources/api-usage-and-reference/common-api-objects/price.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
